package com.bonus.canteen.core.supply.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("drp_supplier_approve")
@ApiModel(
   description = "供应商审批表"
)
public class DrpSupplierApprove implements Serializable {
   private static final long serialVersionUID = -76238091952510858L;
   @TableId
   private Long id;
   private Long supplierId;
   private Long processInstanceId;
   private Integer approveStatus;
   private String approveBy;
   private LocalDateTime approveTime;
   private String approveRemark;
   @ApiModelProperty("备注")
   private String remark;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Long getProcessInstanceId() {
      return this.processInstanceId;
   }

   public Integer getApproveStatus() {
      return this.approveStatus;
   }

   public String getApproveBy() {
      return this.approveBy;
   }

   public LocalDateTime getApproveTime() {
      return this.approveTime;
   }

   public String getApproveRemark() {
      return this.approveRemark;
   }

   public String getRemark() {
      return this.remark;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setProcessInstanceId(final Long processInstanceId) {
      this.processInstanceId = processInstanceId;
   }

   public void setApproveStatus(final Integer approveStatus) {
      this.approveStatus = approveStatus;
   }

   public void setApproveBy(final String approveBy) {
      this.approveBy = approveBy;
   }

   public void setApproveTime(final LocalDateTime approveTime) {
      this.approveTime = approveTime;
   }

   public void setApproveRemark(final String approveRemark) {
      this.approveRemark = approveRemark;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }


   public String toString() {
      Long var10000 = this.getId();
      return "DrpSupplierApprove(id=" + var10000 + ", supplierId=" + this.getSupplierId() + ", processInstanceId=" + this.getProcessInstanceId() + ", approveStatus=" + this.getApproveStatus() + ", approveBy=" + this.getApproveBy() + ", approveTime=" + String.valueOf(this.getApproveTime()) + ", approveRemark=" + this.getApproveRemark() + ", remark=" + this.getRemark() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
